# Method: bidders.publisherConnections.batchReject

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.BatchRejectPublisherConnectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/batchReject#try-it)

Batch rejects multiple publisher connections.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{parent=bidders/*}/publisherConnections:batchReject`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The bidder for whom publisher connections will be rejected. Format: `bidders/{bidder}` where `{bidder}` is the account ID of the bidder. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The names of the publishers with whom connection will be rejected. In the pattern `bidders/{bidder}/publisherConnections/{publisher}` where `{bidder}` is the account ID of the bidder, and `{publisher}` is the ads.txt/app-ads.txt publisher ID. |

### Response body

A response for the request to reject a batch of publisher connections.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publisherConnections": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections#PublisherConnection`) } ] } ``` |

| Fields ||
|---|---|
| `publisherConnections[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections#PublisherConnection`)`` The publisher connections that have been rejected. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`